Bug 29165 - Parent directory icon not correct
Summary: Parent directory icon not correct
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_autoindex (show other bugs)
Version: 2.0.49
Hardware: PC Linux
: P3 normal with 3 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL: http://www.mamute.net/
Keywords: MassUpdate, PatchAvailable
Depends on:
Blocks:
 
Reported: 2004-05-24 01:55 UTC by Herbert G. Fischer
Modified: 2018-11-07 21:10 UTC (History)
1 user (show)



Attachments
This is my patch to fix this bug for httpd-2.0.x branch (527 bytes, patch)
2008-11-02 09:32 UTC, Bérenger Rosat
Details | Diff
This is my patch to fix this bug for httpd main branch (527 bytes, patch)
2008-11-02 10:18 UTC, Bérenger Rosat
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert G. Fischer 2004-05-24 01:55:33 UTC
I'm doing a setup of my website and discovered that the Parent Directory AddIcon
don't works.

Here is my .htaccess:

**************************************
Options Indexes Includes
IndexOptions DescriptionWidth=*
IndexOptions FoldersFirst
IndexOptions HTMLTable
IndexOptions NameWidth=*
IndexOptions ScanHTMLTitles
IndexOptions SuppressRules
IndexOptions SuppressHTMLPreamble
AddType text/html .shtml
AddOutputFilter INCLUDES .shtml
HeaderName /~header.shtml
ReadmeName /~footer.shtml
IndexIgnore .htaccess ~* *.bak *.swp *.mlog
AddIcon /~icons/parent.png ..
AddIcon /~icons/folder.png ^^DIRECTORY^^
AddIcon /~icons/blank.png ^^BLANKICON^^
AddIcon /~icons/.png ^^BLANKICON^^
AddDescription " " *
DefaultIcon /~icons/unknown.png
*********************************************

If I remove the line "DefaultIcon /~icons/unknown.png"  the default unknown
apaches's icon (/icons/unknown.gif) is displayed.

I've tryed this on two servers, both with Apache 2.0.49 and the problem is
reproduceable.
Comment 1 Bérenger Rosat 2008-11-02 09:32:38 UTC
Created attachment 22818 [details]
This is my patch to fix this bug for httpd-2.0.x branch

I have just changed an if test.
Comment 2 Bérenger Rosat 2008-11-02 10:18:02 UTC
Created attachment 22819 [details]
 This is my patch to fix this bug for httpd main branch 

Same fix for httpd main branch.

The two patches work fine on latest cvs snapshots.
Comment 3 Dan Poirier 2009-05-22 06:39:17 UTC
The patch changes the logic in make_parent_entry() to match
that in make_autoindex_entry().  Seems reasonable.

I reproduced the problem on 2.2.x.  The key was removing
FancyIndexing from the default config.

Applying the patch fixed the problem.
Comment 4 William A. Rowe Jr. 2018-11-07 21:10:03 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.